{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" aria-sort="none" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': '',
        'columnId': 'leerstand',
        'ariaLabelId': 'empty-date',
        'ariaLabelName': 'Empty Date'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Objekt-Nr.',
        'columnId': 'objektnummer',
        'ariaLabelId': 'object-number',
        'ariaLabelName': 'Object Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Bezeichnung',
        'columnId': 'bezeichnung',
        'ariaLabelId': 'name',
        'ariaLabelName': 'Name'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Strasse, HsNr.',
        'columnId': 'strasse',
        'ariaLabelId': 'street',
        'ariaLabelName': 'Street'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'PLZ Ort, ggf. Stadtteil',
        'columnId': 'plz',
        'ariaLabelId': 'postcode',
        'ariaLabelName': 'Postcode'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': '(letzte) Nutzung',
        'columnId': 'nutzung',
        'ariaLabelId': 'usage',
        'ariaLabelName': 'Usage'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Fläche',
        'columnId': 'flaeche',
        'ariaLabelId': 'area',
        'ariaLabelName': 'Area'
    } only %}

    {% if is_granted('ROLE_USER') == true %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Sachbearbeiter:in',
            'columnId': 'sachbearbeiter',
            'ariaLabelId': 'clerk',
            'ariaLabelName': 'Clerk'
        } only %}
    {% endif %}

{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">
        {% if listItem.isObjectIsEmpty() %}
            <span class="material-icons-outlined text-danger mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-status-mdc-tooltip">
                error
            </span>
            <div id="building-unit-{{ listItem.getId() }}-status-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                    Leerstand<br>
                    {% if listItem.getObjectIsEmptySince() != null %}
                        seit {{ listItem.getObjectIsEmptySince().format('d.m.Y') }}
                    {% endif %}
                </div>
            </div>
        {% endif %}
        {% if listItem.isObjectBecomesEmpty() %}
            <span class="material-icons-outlined text-warning mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-status-mdc-tooltip">
                gpp_maybe
            </span>
            <div id="building-unit-{{ listItem.getId() }}-status-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                    Objekt fällt leer<br>
                    {% if listItem.getObjectBecomesEmptyFrom() != null %}
                        zum {{ listItem.getObjectBecomesEmptyFrom().format('d.m.Y') }}
                    {% endif %}
                </div>
            </div>
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getId() }}{% if listItem.getInternalNumber() != null %} ({{ listItem.getInternalNumber() }}){% endif %}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getName()|length > 25 %}
            <span class="mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-name-mdc-tooltip">
                {{ listItem.getName()|slice(0, 22) }}...
            </span>
            <div id="building-unit-{{ listItem.getId() }}-name-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                <div class="mdc-tooltip__surface mdc-tooltip__surface-animation" >
                    {{ listItem.getName() }}
                </div>
            </div>
        {% else %}
            {{ listItem.getName() }}
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {{ listItem.getAddress().getStreetName() }} {{ listItem.getAddress().getHouseNumber() }}
    </td>
    <td class="mdc-data-table__cell">
        {{ listItem.getAddress().getPostalCode() }} {{ listItem.getAddress().getPlace().getPlaceName() }}
        {% if listItem.getAddress().getQuarterPlace() != null %}
            <br>{{ listItem.getAddress().getQuarterPlace().getPlaceName() }}
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.isObjectIsEmpty() and listItem.getPastUsageIndustryClassification() != null %}
            {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': listItem.getPastUsageIndustryClassification(), 'tooltip': true, 'itemType': 'building-unit', 'itemId': listItem.getId(), 'propertyUsageBusinessType': listItem.getPastPropertyUsageBusinessType()} only %}
        {% else %}
            {% if listItem.getCurrentUsageIndustryClassification() != null %}
                {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': listItem.getCurrentUsageIndustryClassification(), 'tooltip': true, 'itemType': 'building-unit', 'itemId': listItem.getId(), 'propertyUsageBusinessType': listItem.getCurrentPropertyUsageBusinessType()} only %}
            {% else %}
                k. A.
            {% endif %}
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.areaSize() != null %}
            {{ listItem.areaSize()|number_format(0,',','.') }} m&sup2;
        {% else %}
            k. A.
        {% endif %}
    </td>
    {% if is_granted('ROLE_USER') == true %}
        <td class="mdc-data-table__cell">
            {% if listItem.getAssignedToAccountUser() != null %}
                {%  if listItem.getAssignedToAccountUser().isDeleted == true %}
                    <span class="text-danger mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-accountUser-mdc-tooltip">
                        <i class="material-icons left align-middle">person_off</i>
                    </span>
                    <div id="building-unit-{{ listItem.getId() }}-accountUser-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                        <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                            Sachbearbeiter:in wurde gelöscht
                        </div>
                    </div>
                {% else %}
                    {% if listItem.getAssignedToAccountUser().getNameAbbreviation() != null %}
                        <span class="mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-accountUser-mdc-tooltip">
                            {{ listItem.getAssignedToAccountUser().getNameAbbreviation() }}
                        </span>
                    {% else %}
                        <span class="mdc-tooltip-anchor" aria-describedby="building-unit-{{ listItem.getId() }}-accountUser-mdc-tooltip">
                            {{ listItem.getAssignedToAccountUser().getFullname()|slice(0, 2)|upper }}
                        </span>
                    {% endif %}
                    <div id="building-unit-{{ listItem.getId() }}-accountUser-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                        <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                            {{ listItem.getAssignedToAccountUser().getFullname() }}
                        </div>
                    </div>
                {% endif %}
            {% else %}
                -
            {% endif %}
        </td>
    {% endif %}
{% endblock %}
